#pragma semicolon 1

#include <sourcemod>
#include <sdkhooks>
#include <zr/infect.zr>

public Plugin:myinfo = 
{
	name	= "No Fall Damage For Human (ZR 3.1)",
	author	= "te1n",
	version	= "1.0",
	url		= "http://www.world-source.ru/"
};

public OnPluginStart()
{
	for (new i = 1; i <= MaxClients; ++i)
	{
		if (IsClientInGame(i))
		{
			OnClientPutInServer(i);
		}
	}
}

public OnClientPutInServer(iClient)
{
	SDKHook(iClient, SDKHook_OnTakeDamage, OnTakeDamage);
}

public Action:OnTakeDamage(iClient, &iAttacker, &iInflictor, &Float:fDamage, &iDamagetype)
{
	if (iDamagetype & DMG_FALL)
	{
		if (iClient)
		{
			if (ZR_IsClientHuman(iClient))
			{
				return Plugin_Handled;
			}
		}
	}

	return Plugin_Continue;
}